/*
 * RankedTreeWrapper.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "RankedTreeWrapper.h"

namespace tree {

const std::set < alphabet::RankedSymbol > & RankedTreeWrapper::getAlphabet ( ) const {
	return this->getData ( ).getAlphabet ( );
}

void RankedTreeWrapper::extendAlphabet ( const std::set < alphabet::RankedSymbol > & symbols ) {
	this->getData ( ).extendAlphabet ( symbols );
}

} /* namespace tree */
